Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037292
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2017-11-14 17:092018-01-03 12:39
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision21e2780eb56e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037292: The organization field of Tax Payment window should only show legal entities

DescriptionThe organization field of Tax Payment window show all entities
Steps To ReproduceGo to Tax Payment window and check all organizations are shown in the organization field
Proposed SolutionChange the organization selector field to legal entities only
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037263 closedcollazoandy4 "Last register amount" wrongly calculated by "Create VAT registers" process in Tax Payment window 

-  Notes
(0100523)
collazoandy4 (developer)
2017-11-14 17:24

Test Plan
 Go to Tax Payment window and check that only legal entities are shown in the organization field
(0100578)
hgbot (developer)
2017-11-17 12:47

Repository: erp/devel/pi
Changeset: 21e2780eb56eb181aa564e7e21d5efe6b29efe15
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Nov 14 14:26:53 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/21e2780eb56eb181aa564e7e21d5efe6b29efe15 [^]

Fixes issue 37292:The organization field of Tax Payment window show all entities

The reference was change to OBUISEL_Selector Reference with a reference value to
Legal Organizations Selector and the default value was set to select the closest
legal organization from the user autenticated organization

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0100582)
dmiguelez (developer)
2017-11-17 12:48

Code Review + Testing Ok
(0101432)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-14 17:09 collazoandy4 New Issue
2017-11-14 17:09 collazoandy4 Assigned To => Triage Finance
2017-11-14 17:09 collazoandy4 Modules => Core
2017-11-14 17:09 collazoandy4 Triggers an Emergency Pack => No
2017-11-14 17:11 collazoandy4 Relationship added related to 0037263
2017-11-14 17:18 collazoandy4 Assigned To Triage Finance => collazoandy4
2017-11-14 17:18 collazoandy4 Status new => scheduled
2017-11-14 17:24 collazoandy4 Note Added: 0100523
2017-11-17 12:47 hgbot Checkin
2017-11-17 12:47 hgbot Note Added: 0100578
2017-11-17 12:47 hgbot Status scheduled => resolved
2017-11-17 12:47 hgbot Resolution open => fixed
2017-11-17 12:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/21e2780eb56eb181aa564e7e21d5efe6b29efe15 [^]
2017-11-17 12:48 dmiguelez Review Assigned To => dmiguelez
2017-11-17 12:48 dmiguelez Note Added: 0100582
2017-11-17 12:48 dmiguelez Status resolved => closed
2017-11-17 13:03 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101432


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker